clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::LambdaIntroducer::LambdaCapture Struct Reference

An individual capture in a lambda introducer. More...

`#include "clang/Sema/DeclSpec.h"`

Collaboration diagram for clang::LambdaIntroducer::LambdaCapture:
[legend]

## Public Member Functions
| LambdaCapture (LambdaCaptureKind Kind, SourceLocation Loc, IdentifierInfo *Id, SourceLocation EllipsisLoc, LambdaCaptureInitKind InitKind, ExprResult Init, ParsedType InitCaptureType, SourceRange ExplicitRange)

## Public Attributes
LambdaCaptureKind | Kind
SourceLocation | Loc
IdentifierInfo * | Id
SourceLocation | EllipsisLoc
LambdaCaptureInitKind | InitKind
ExprResult | Init
ParsedType | InitCaptureType
SourceRange | ExplicitRange

## Detailed Description

An individual capture in a lambda introducer.

Definition at line 2551 of file DeclSpec.h.

## Constructor & Destructor Documentation

## ◆ LambdaCapture()

clang::LambdaIntroducer::LambdaCapture::LambdaCapture | ( | LambdaCaptureKind | Kind,
|  | SourceLocation | Loc,
|  | IdentifierInfo * | Id,
|  | SourceLocation | EllipsisLoc,
|  | LambdaCaptureInitKind | InitKind,
|  | ExprResult | Init,
|  | ParsedType | InitCaptureType,
|  | SourceRange | ExplicitRange
| ) |  |
| inline

Definition at line 2561 of file DeclSpec.h.

## Member Data Documentation

## ◆ EllipsisLoc

SourceLocation clang::LambdaIntroducer::LambdaCapture::EllipsisLoc

Definition at line 2555 of file DeclSpec.h.

## ◆ ExplicitRange

SourceRange clang::LambdaIntroducer::LambdaCapture::ExplicitRange

Definition at line 2559 of file DeclSpec.h.

## ◆ Id

IdentifierInfo* clang::LambdaIntroducer::LambdaCapture::Id

Definition at line 2554 of file DeclSpec.h.

## ◆ Init

ExprResult clang::LambdaIntroducer::LambdaCapture::Init

Definition at line 2557 of file DeclSpec.h.

## ◆ InitCaptureType

ParsedType clang::LambdaIntroducer::LambdaCapture::InitCaptureType

Definition at line 2558 of file DeclSpec.h.

## ◆ InitKind

LambdaCaptureInitKind clang::LambdaIntroducer::LambdaCapture::InitKind

Definition at line 2556 of file DeclSpec.h.

## ◆ Kind

LambdaCaptureKind clang::LambdaIntroducer::LambdaCapture::Kind

Definition at line 2552 of file DeclSpec.h.

## ◆ Loc

SourceLocation clang::LambdaIntroducer::LambdaCapture::Loc

Definition at line 2553 of file DeclSpec.h.

The documentation for this struct was generated from the following file:

- include/clang/Sema/DeclSpec.h